Space fields
Archive a Space field definition
Requires workspace:settings. Archived definitions are no longer effective; their values are retained.
POST
/v1/space/fields/{id}/archive
curl -X POST "https://api.orchestor.io/v1/space/fields/%3Cid%3E/archive" \ -H "Authorization: Bearer $API_KEY" \ -H "X-Workspace-ID: wks_abc123"{ "data": { "archived_at": "2026-01-01T00:00:00Z", "config": {}, "created_at": "2026-01-01T00:00:00Z", "id": "<string>", "is_required": true, "position": 0, "project_id": "<string>", "slug": "<string>", "title": "<string>", "type": "text", "updated_at": "2026-01-01T00:00:00Z", "workspace_id": "<string>" }}Get your Orchestor API key
Create an API key in your workspace settings.
Authorizations
Authentication details
cookie
Headers
Workspace to access. With a workspace-scoped API key, the server derives this value from the key, so the header is optional. If supplied, it must match the credential workspace or the request returns 403 workspace_mismatch. For interactive session requests, supply this header to select a workspace where you are a member. A project ID cannot be used as a workspace ID.
Example
"wks_abc123"Response
application/json